﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <telerik:RadScriptManager runat="server" ID="RadScriptManager1"></telerik:RadScriptManager>
            <telerik:RadCodeBlock runat="server" ID="RadCodeBlock1">
                <script type="text/javascript">
                    function customParameter(sender, args) {
                        var filterTextBox = $find('<%= RadTextBox1.ClientID %>');
                        var titleFilter = filterTextBox.get_value();
                        if (args.get_type() == "read" && titleFilter) {
                            args.set_parameterFormat({ titleFilter: titleFilter});
                        }
                    }

                    function btnFilterClick() {
                        var grid = $find('<%= RadGrid1.ClientID %>');
                        grid.get_masterTableView().rebind();
                    }

                </script>
            </telerik:RadCodeBlock>
            <telerik:RadTextBox runat="server" ID="RadTextBox1" LabelWidth="80px" Width="220px" Label="Filter by Title: "></telerik:RadTextBox>
            <asp:Button runat="server" ID="btnFilter" Text="Filter" OnClientClick="btnFilterClick();return false" />
            <br />
            <br />
            <telerik:RadGrid runat="server" Width="900px" ID="RadGrid1" AutoGenerateColumns="false" ClientDataSourceID="RadClientDataSource1"
                AllowSorting="true" AllowPaging="true">
                <MasterTableView>
                    <Columns>
                        <telerik:GridNumericColumn DataField="ID" UniqueName="ID" HeaderText="ID" />
                        <telerik:GridBoundColumn DataField="Title" UniqueName="Title" HeaderText="Title" />
                        <telerik:GridNumericColumn FilterControlWidth="75px" DataField="Number" DataType="System.Int32" UniqueName="Number" HeaderText="Number" />
                        <telerik:GridDateTimeColumn FilterControlWidth="150px" DataType="System.DateTime" DataFormatString="{0:d}" DataField="Date" UniqueName="Date" HeaderText="Date" />
                        <telerik:GridBoundColumn DataField="Description" UniqueName="Description" HeaderText="Description" />
                    </Columns>
                </MasterTableView>
            </telerik:RadGrid>
            <telerik:RadClientDataSource ID="RadClientDataSource1" runat="server">
                <ClientEvents OnCustomParameter="customParameter" />
                <DataSource>
                    <WebServiceDataSourceSettings BaseUrl="SampleService.svc/">
                        <Select Url="GetData" DataType="JSON" ContentType="application/json" />
                    </WebServiceDataSourceSettings>
                </DataSource>
                <Schema>
                    <Model ID="ID">
                        <telerik:ClientDataSourceModelField FieldName="ID" DataType="Number" />
                        <telerik:ClientDataSourceModelField FieldName="Title" DataType="String" />
                        <telerik:ClientDataSourceModelField FieldName="Number" DataType="Number" />
                        <telerik:ClientDataSourceModelField FieldName="Date" DataType="Date" />
                        <telerik:ClientDataSourceModelField FieldName="Descripion" DataType="String" />
                    </Model>
                </Schema>
            </telerik:RadClientDataSource>
        </div>
    </form>
</body>
</html>
